<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" indent="no" encoding="UTF-8"/>
<xsl:param name="baseFile"/>    
<xsl:param name="insertFile"/>


    <xsl:template match="/">
        <xsl:copy>
            <xsl:text disable-output-escaping="yes"><![CDATA[<!DOCTYPE  viewdef [
  <!ENTITY nbsp "&#160;">
  <!ENTITY copy "&#169;">
  <!ENTITY shy  "&#173;">
]>]]>
            </xsl:text>
            <xsl:apply-templates />
        </xsl:copy>
    </xsl:template>

    <xsl:template match="viewdef[@messages = 'EditSelectedMenuMessages.vdf']">
        <xsl:text>&#xa;</xsl:text>
        <xsl:text>&#xa;</xsl:text>
        <xsl:copy use-attribute-sets="cdata-section-elements messages">
            <xsl:apply-templates select="@*|node()" />
        </xsl:copy>
    </xsl:template>

    <xsl:template match="define[@id = 'editSelected']//if[contains(@cond, 'delete_user')]">
        <xsl:variable name="optionList" select="./if/option" />
        <xsl:copy-of select="."/>
        <xsl:for-each select="$optionList">
            <xsl:if test="contains(@value, 'EXPORT')">
                <xsl:call-template name="insertPrintEmailOptions"/>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>

    <xsl:template name="insertPrintEmailOptions">
        <xsl:text>&#xa;</xsl:text>
        <xsl:comment>PrintEmail_INSERT</xsl:comment>
        <xsl:text>&#xa;</xsl:text>

			<xsl:variable name="matchDefine" select="document($insertFile)/viewdef/define[@id = 'editSelected']//define"/>
            <xsl:for-each select="$matchDefine">
                <xsl:if test= "@id='print_email_config'" >
                    <xsl:copy-of select="." />
                </xsl:if>
            </xsl:for-each>
            
            <xsl:variable name="matchIf" select="document($insertFile)/viewdef/define[@id = 'editSelected']//if"/>
            <xsl:for-each select="$matchIf">
                <xsl:if test= "contains(@cond, 'print_email_config')" >
                    <xsl:text>&#xa;</xsl:text>
                    <xsl:copy-of select="." />
                </xsl:if>
            </xsl:for-each>

        <xsl:text>&#xa;</xsl:text>
        <xsl:comment>PrintEmail_INSERT</xsl:comment>
    </xsl:template>

    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()" />
        </xsl:copy>
    </xsl:template>

</xsl:stylesheet>
